using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace VideoCloop
{
    public partial class frmTypeFilm : Form
    {
        public frmTypeFilm()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                Lsc_VideoClubDataContext db = new Lsc_VideoClubDataContext();
                TypeMovie add = new TypeMovie();
                add.TypeFilm = Txt_TypeFilm.Text;
                db.TypeMovies.InsertOnSubmit(add);
                db.SubmitChanges();
                MessageBox.Show("عملیات درج انجام شد!");
                Udf_FillGrid();
            }
            catch(Exception ex)
            {
                MessageBox.Show("عملیات درج انجام نشد!");
            }
        }

        private void frmTypeFilm_Load(object sender, EventArgs e)
        {
            Udf_FillGrid();
        }
        private void Udf_FillGrid()
        {
            Lsc_VideoClubDataContext db = new Lsc_VideoClubDataContext();
            var Query = from Row in db.TypeMovies
                        select Row;
            Dg_TypeFilm.DataSource = Query;
            Dg_TypeFilm.Columns[0].HeaderText = "ردیف";
            Dg_TypeFilm.Columns[1].HeaderText = "موضوع";

        }

        private void Btn_Delete_Click(object sender, EventArgs e)
        {
           try
            {
                Lsc_VideoClubDataContext db = new Lsc_VideoClubDataContext();
                TypeMovie DelTbl = db.TypeMovies.SingleOrDefault(n => n.TypeId == Decimal.Parse(Dg_TypeFilm.CurrentRow.Cells[0].Value.ToString()));
                DialogResult result = MessageBox.Show("آیا شما می خواهیدنوع فیلم باشماره" + DelTbl.TypeId  + "راحذف نمایید", "اخطار", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button1);
                if (result == DialogResult.OK)
                {
                    db.TypeMovies .DeleteOnSubmit(DelTbl);
                    db.SubmitChanges();
                    MessageBox.Show("عملیات  حذف انجام شد!");
                }
                Udf_FillGrid();
            }
            catch(Exception ex)
            {
                MessageBox.Show("اشکالی در حذف رکورد پیش آمده است");
            }
        }

        private void Dg_TypeFilm_CellClick(object sender, DataGridViewCellEventArgs e)
        {
           
           Lsc_VideoClubDataContext  db = new Lsc_VideoClubDataContext ();

           Int32 selectedCellCount = Dg_TypeFilm.GetCellCount(DataGridViewElementStates.Selected);

            if (selectedCellCount > 0)
            {
                if (Dg_TypeFilm.AreAllCellsSelected(true))
                {
                    MessageBox.Show("لطفاسلول از سطر مورد نظر راانتخاب نماييد!", "Selected Cells");
                }
                else
                {

                    for (int i = 0; i < selectedCellCount; i++)
                    {

                        Txt_TypeFilm.Text = Dg_TypeFilm.Rows[int.Parse(Dg_TypeFilm.SelectedCells[i].RowIndex.ToString())].Cells[1].Value.ToString();
                        
                    }
               }
          }
        }

        private void Btn_Update_Click(object sender, EventArgs e)
        {
            try
            {
                Lsc_VideoClubDataContext db = new Lsc_VideoClubDataContext();
                TypeMovie UpdateTbl = db.TypeMovies.Single(n => n.TypeId  == int.Parse(Dg_TypeFilm.CurrentRow.Cells[0].Value.ToString()));
                UpdateTbl.TypeFilm  =Txt_TypeFilm .Text ;
                db.SubmitChanges();
                MessageBox.Show("رکورد مورد نظر ویرایش شد");
                Udf_FillGrid();

            }
            catch (Exception ex)
            {
                MessageBox.Show("اشکالی در ویرایش رکورد پیش آمده است");
            }
        }
    }
}
